MWAWListManager Class Reference

a manager which manages the lists, keeps the different kind of lists, to assure the unicity of each list More...

`#include <MWAWList.hxx>`

## Public Member Functions

| MWAWListManager ()
| the constructor More...
| ~MWAWListManager ()
| the destructor More...
bool | send (int index, WPXDocumentInterface &docInterface) const
| send the list to the document interface. More...
shared_ptr< MWAWList > | getList (int index) const
| returns a list with given index ( if found ) More...
shared_ptr< MWAWList > | getNewList (shared_ptr< MWAWList > actList, int levl, MWAWListLevel const &level)
| returns a new list corresponding to a list where we have a new level More...

## Protected Member Functions

void | resetSend (size_t id) const
| reset the list id corresponding to a list More...

## Protected Attributes

std::vector< MWAWList > | m_listList
| the list of created list More...
std::vector< bool > | m_sendIdList
| the list of send list to interface More...

## Detailed Description

a manager which manages the lists, keeps the different kind of lists, to assure the unicity of each list

## Constructor & Destructor Documentation

MWAWListManager::MWAWListManager | ( |  | ) |

inline

the constructor

MWAWListManager::~MWAWListManager | ( |  | ) |

inline

the destructor

## Member Function Documentation

shared_ptr< MWAWList > MWAWListManager::getList | ( | int | index | ) | const

returns a list with given index ( if found )

Referenced by MORTextInternal::Paragraph::updateToFinalState().

shared_ptr< MWAWList > MWAWListManager::getNewList | ( | shared_ptr< MWAWList > | actList,
|  | int | levl,
|  | MWAWListLevel const & | level
| ) |  |

returns a new list corresponding to a list where we have a new level

Referenced by MDWParserInternal::ZoneInfo::updateListId(), and MORTextInternal::Paragraph::updateToFinalState().

void MWAWListManager::resetSend | ( | size_t | id | ) | const

protected

reset the list id corresponding to a list

Referenced by getNewList().

bool MWAWListManager::send | ( | int | index,
|  | WPXDocumentInterface & | docInterface
| ) |  | const

send the list to the document interface.

If this is already done, does nothing and return false.

## Member Data Documentation

std::vector<MWAWList> MWAWListManager::m_listList

protected

the list of created list

Referenced by getList(), getNewList(), and send().

std::vector<bool> MWAWListManager::m_sendIdList

mutable protected

the list of send list to interface

Referenced by resetSend(), and send().

The documentation for this class was generated from the following files:

- MWAWList.hxx
- MWAWList.cxx